# borg repo-delete

    borg [common options] repo-delete [options]

options
| `-n`, `--dry-run` | do not change the repository
| `--list` | output a verbose list of archives
| `--force` | force deletion of corrupted archives; use `--force --force` if a single `--force` does not work.
| `--cache-only` | delete only the local cache for the given repository
| `--keep-security-info` | keep the local security info when deleting a repository
Common options

## Description

This command deletes a complete repository.

When you delete a complete repository, the security info and local cache for it (if any) are also deleted. Alternatively, you can delete just the local cache with the `--cache-only` option, or keep the security info with the `--keep-security-info` option.

Always first use `--dry-run --list` to see what would be deleted.

## Examples

    # delete the whole repository and the related local cache:
    $ borg repo-delete
    You requested to DELETE the repository completely *including* all archives it contains:
    repo                                 Mon, 2016-02-15 19:26:54
    root-2016-02-15                      Mon, 2016-02-15 19:36:29
    newname                              Mon, 2016-02-15 19:50:19
    Type 'YES' if you understand this and want to continue: YES